ServerEvents.recipes((event) => {
  // =========================================
  // Hostile Networks
  // =========================================

  // Sim Chamber
  event
    .shaped("hostilenetworks:sim_chamber", [
      "ABA", 
      "ACA", 
      "ADA"
    ], 
    {
      A: "architects_palette:hadaline_tiles",
      B: "#forge:heads",
      C: "alexscaves:pure_darkness",
      D: "refinedstorage:storage_monitor",
    })
    .id("hostilenetworks:sim_chamber");

  // Loot Fabricator
  event
    .shaped("hostilenetworks:loot_fabricator", [
      "ABA", 
      "ACA", 
      "ADA"
    ], 
    {
      A: "architects_palette:hadaline_tiles",
      B: "thermal:machine_pulverizer",
      C: "alexscaves:pure_darkness",
      D: "#artifacts:artifacts",
    })
    .id("hostilenetworks:loot_fabricator");

  // Model Framework
  event
    .shaped("hostilenetworks:blank_data_model", [
      "A", 
      "B", 
      "C"
    ], 
    {
      A: "advancementframes:stat_frame",
      B: "alexscaves:hologram_projector",
      C: "create_new_age:overcharged_golden_wire",
    })
    .id("hostilenetworks:framework");

  // Deep Learner
  event
    .shapeless("hostilenetworks:deep_learner", [
      "alexscaves:totem_of_possession",
      "toms_storage:ts.adv_wireless_terminal",
    ])
    .id("hostilenetworks:deep_learner");

  // Prediction Matrix
  event
    .custom({
      type: "create_new_age:energising",
      energy_needed: 1000,
      ingredients: [
        {
          item: "alexscaves:amber_curiosity",
        },
      ],
      results: [
        {
          item: "hostilenetworks:prediction_matrix",
          count: 16,
        },
      ],
    })
    .id("hostilenetworks:prediction_matrix");

  // Generalized Alex's Caves Prediction Stuff
  event.shapeless("8x alexscaves:seeking_arrow", [
    "#minecraft:arrows",
    "hostilenetworks:alexs_prediction",
  ]);

  event.shapeless("alexscaves:carmine_froglight", [
    [
      "minecraft:ochre_froglight",
      "minecraft:verdant_froglight",
      "minecraft:pearlescent_froglight",
    ],
    "hostilenetworks:alexs_prediction",
  ]);

  event.shapeless("16x alexscaves:cinder_brick", [
    "#forge:ingots/brick",
    "hostilenetworks:alexs_prediction",
  ]);

  event.shapeless("16x alexscaves:rusty_scrap_metal", [
    "architects_palette:sheet_metal_block",
    "hostilenetworks:alexs_prediction",
  ]);

  event.shapeless("16x alexscaves:thornwood_log", [
    "#minecraft:logs",
    "hostilenetworks:alexs_prediction",
  ]);

  event.shapeless("8x alexscaves:ink_bomb", [
    "minecraft:ink_sac",
    "hostilenetworks:alexs_prediction",
  ]);

  event.shapeless("8x alexscaves:glow_ink_bomb", [
    "minecraft:glow_ink_sac",
    "hostilenetworks:alexs_prediction",
  ]);

  event.shapeless("16x alexscaves:hazmat_block", [
    "minecraft:yellow_concrete",
    "hostilenetworks:alexs_prediction",
    "minecraft:black_concrete",
    "hostilenetworks:alexs_prediction",
  ]);

  // Prediction Recycling
  event.recipes.thermal
    .crystallizer("hostilenetworks:prediction_matrix", [
      [
        "hostilenetworks:alexs_prediction",
        "hostilenetworks:overworld_prediction",
        "hostilenetworks:end_prediction",
        "hostilenetworks:nether_prediction",
      ],
      Fluid.of("colored_water:light_blue_fluid", 100),
    ])
    .energy(400);
});
